> For the complete documentation index, see [llms.txt](https://docs.duplocloud.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.duplocloud.com/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/using-generated-code.md).

# Using Generated Code

DuploCloud Terraform Exporter Utility provides scripts to create Infrastructure based on Tenant, using the [terraform generated code](/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/generate-terraform.md). Executing the scripts creates Tenant, Services, and Applications. These resources can be viewed in DuploCloud Portal.

{% hint style="info" %}
Follow the sequence based on the Project (`admin-tenant`, `aws-services` and `app).`

Perform **plan** and **apply** actions in one project prior to switching another project.
{% endhint %}

Export following environment variables in the shell while running the terraform projects.

Environment Details can be found [here](/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/install-terraform-exporter.md#need-help-in-setting-environment-variables).

```bash
export AWS_RUNNER=duplo-admin
export duplo_host="<portal url>"
export duplo_token="<token>" 
export aws_account_id="<AWS account id>"
```

### Project: admin-tenant

This project manages the creation of DuploCloud tenant and resources related to the tenant.

Execute Script in this sequence:

> cd target/customer-name/tenant-name

**Dry-Run and Review**

> scripts/plan.sh \<new tenant name> **admin-tenant**

**Deploy Resources**

> scripts/apply.sh \<new tenant name> **admin-tenant**

![scripts/apply,sh execution in progress](https://2471407984-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F68cb0s9ce5UIUKWPuYs8%2Fuploads%2FUTuxCMHOMOyEuMsAuYI5%2Fimage.png?alt=media\&token=e8fde568-d3fc-4681-971e-44b55444bcf8)

### Project: aws-services

This project manages data services like Redis, RDS, Kafka, S3 buckets, Cloudfront, EMR and Elastic Search inside DuploCloud.

![aws-services project apply execution](https://2471407984-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F68cb0s9ce5UIUKWPuYs8%2Fuploads%2FrY5q8eCywL2lTNbVFBMp%2Fimage.png?alt=media\&token=71082775-281f-4a8c-8988-4afcff729d19)

### Project: app

This project manages containerized applications inside DuploCloud like EKS Services, ECS, docker native service.

![app project apply execution](https://2471407984-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F68cb0s9ce5UIUKWPuYs8%2Fuploads%2FZgmuSLkxck0PwGtqcrZt%2Fimage.png?alt=media\&token=4b6de39d-8e6a-4469-aa3d-99d559e8e65b)

### Delete the resources created using Utility

Follow the below Project sequence (app, aws-services and admin-tenant) while deleting the resources:

> scripts/destroy.sh \<new tenant name created above> **app**

> scripts/destroy.sh \<new tenant name created above> **aws-services**

> scripts/destroy.sh \<new tenant name created above> **admin-tenant**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.duplocloud.com/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/using-generated-code.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
